Loading...
Searching...
No Matches
EclDefaultMaterialParams.hpp File Reference

Default implementation for the parameters required by the default three-phase capillary pressure model used by Eclipse. More...

`#include <memory>`
`#include <opm/material/common/EnsureFinalized.hpp>`

Go to the source code of this file.

## Classes

class | Opm::EclDefaultMaterialParams< Traits, GasOilParamsT, OilWaterParamsT >
| Default implementation for the parameters required by the default three-phase capillary pressure model used by Eclipse. More...

## Namespaces

namespace | Opm
| This class implements a small container which holds the transmissibility mulitpliers for all the faces in the grid.

## Detailed Description

Default implementation for the parameters required by the default three-phase capillary pressure model used by Eclipse.

Essentially, this class just stores the two parameter objects for the twophase capillary pressure laws.